Bug 1120697 - Removing an initialized DC operation doesn't remove master domain's dir,hence,can cause master duplicity
Summary: Removing an initialized DC operation doesn't remove master domain's dir,hence...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.1
Assignee: Federico Simoncelli
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks: 1193195
TreeView+ depends on / blocked
 
Reported: 2014-07-17 13:37 UTC by Ori Gofen
Modified: 2016-02-10 17:39 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-14 14:49:28 UTC
oVirt Team: Storage


Attachments (Terms of Use)
vdsm+engine logs (2.12 MB, application/x-gzip)
2014-07-17 13:37 UTC, Ori Gofen
no flags Details

Description Ori Gofen 2014-07-17 13:37:05 UTC
Created attachment 918704 [details]
vdsm+engine logs

Description of problem:
Removing a DC with at least one domain on it and attaching the master domain to another initialized DC causes master domain dir duplicity,which can lead to severe Errors.

note b31f7cf4-2bef-41a8-8df9-62792fe33c25,41794f18-21c4-421d-bd6c-b30d9737c1d0 domains.

root@camelvdsb>tree                                                                                                                                                      /rhev/data-center
.
├── 217591e9-c504-4846-895f-dcf2924a2c28
│   ├── 41794f18-21c4-421d-bd6c-b30d9737c1d0 -> /rhev/data-center/mnt/10.35.160.108:_RHEV_ogofen_3/41794f18-21c4-421d-bd6c-b30d9737c1d0
│   ├── b31f7cf4-2bef-41a8-8df9-62792fe33c25 -> /rhev/data-center/mnt/10.35.160.108:_RHEV_ogofen_1/b31f7cf4-2bef-41a8-8df9-62792fe33c25
│   ├── e2c6294a-f101-41aa-91a5-04b44cb950b9 -> /rhev/data-center/mnt/blockSD/e2c6294a-f101-41aa-91a5-04b44cb950b9
│   └── mastersd -> /rhev/data-center/mnt/10.35.160.108:_RHEV_ogofen_1/b31f7cf4-2bef-41a8-8df9-62792fe33c25
└── mnt
    ├── 10.35.160.108:_RHEV_ogofen_1
    │   ├── b31f7cf4-2bef-41a8-8df9-62792fe33c25
    │   │   ├── dom_md
    │   │   │   ├── ids
    │   │   │   ├── inbox
    │   │   │   ├── leases
    │   │   │   ├── metadata
    │   │   │   └── outbox
    │   │   ├── images
    │   │   │   ├── 640d49ef-34e9-4df2-bee2-56dfbe8872b8
    │   │   │   │   ├── f742ea55-217b-4655-b49c-c791b20ec041
    │   │   │   │   ├── f742ea55-217b-4655-b49c-c791b20ec041.lease
    │   │   │   │   └── f742ea55-217b-4655-b49c-c791b20ec041.meta
    │   │   │   └── c753cb8e-4e73-4d1d-b3dc-81050f2ff64a
    │   │   │       ├── 468fcf0a-9166-4040-9911-5f75f85cf6bf
    │   │   │       ├── 468fcf0a-9166-4040-9911-5f75f85cf6bf.lease
    │   │   │       └── 468fcf0a-9166-4040-9911-5f75f85cf6bf.meta
    │   │   └── master
    │   │       ├── tasks
    │   │       └── vms
    │   └── __DIRECT_IO_TEST__
    ├── 10.35.160.108:_RHEV_ogofen_3
    │   ├── 41794f18-21c4-421d-bd6c-b30d9737c1d0
    │   │   ├── dom_md
    │   │   │   ├── ids
    │   │   │   ├── inbox
    │   │   │   ├── leases
    │   │   │   ├── metadata
    │   │   │   └── outbox
    │   │   ├── images
    │   │   │   ├── dcf7b376-66e6-461b-a0fd-dc138a2080cf
    │   │   │   │   ├── 641825c3-ffe0-45c3-b923-82a431b59ba3
    │   │   │   │   ├── 641825c3-ffe0-45c3-b923-82a431b59ba3.lease
    │   │   │   │   └── 641825c3-ffe0-45c3-b923-82a431b59ba3.meta
    │   │   │   └── f8d662ce-90f6-4ba4-bbb5-c8428f0868ca
    │   │   │       ├── b8fcbcd2-82eb-4f75-bf5d-2de43944106a
    │   │   │       ├── b8fcbcd2-82eb-4f75-bf5d-2de43944106a.lease
    │   │   │       └── b8fcbcd2-82eb-4f75-bf5d-2de43944106a.meta
    │   │   └── master
    │   │       ├── tasks
    │   │       └── vms
    │   └── __DIRECT_IO_TEST__
    └── blockSD
        └── e2c6294a-f101-41aa-91a5-04b44cb950b9
            ├── dom_md
            │   ├── ids -> /dev/e2c6294a-f101-41aa-91a5-04b44cb950b9/ids
            │   ├── inbox -> /dev/e2c6294a-f101-41aa-91a5-04b44cb950b9/inbox
            │   ├── leases -> /dev/e2c6294a-f101-41aa-91a5-04b44cb950b9/leases
            │   ├── master -> /dev/e2c6294a-f101-41aa-91a5-04b44cb950b9/master
            │   ├── metadata -> /dev/e2c6294a-f101-41aa-91a5-04b44cb950b9/metadata
            │   └── outbox -> /dev/e2c6294a-f101-41aa-91a5-04b44cb950b9/outbox
            ├── images
            │   ├── b5d12ef6-526f-43f6-bc29-a622fdd8a2b7
            │   │   └── 7123da47-085c-49f1-994c-de092157d39e -> /dev/e2c6294a-f101-41aa-91a5-04b44cb950b9/7123da47-085c-49f1-994c-de092157d39e
            │   └── c5bf86e8-79fd-481a-8e31-6b4f5212b818
            │       └── e73f7234-1d37-4ab3-874b-24f7025c2004 -> /dev/e2c6294a-f101-41aa-91a5-04b44cb950b9/e73f7234-1d37-4ab3-874b-24f7025c2004
            └── master

31 directories, 32 files



Version-Release number of selected component (if applicable):
beta.1

How reproducible:
100%

Steps to Reproduce:
Setup:two DC's one domain on each at least

1.remove one DC
2.attach it's master domain to the second DC

Actual results:
master domain dirs duplicity

Expected results:
one master on each dc with └── master
    │   │       ├── tasks
    │   │       └── vms
directories

Additional info:

Comment 1 Allon Mureinik 2014-09-10 08:52:25 UTC
Any news?

Comment 2 Federico Simoncelli 2014-09-12 15:39:42 UTC
All storage domains have a master directory. The correct master is selected by SPM on connectStoragePool and the only valid path to reach it reliably is through:

 /rhev/data-center/<spuuid>/masterd

If the link above was correct there's nothing else to handle (close NOTABUG).


Note You need to log in before you can comment on or make changes to this bug.